Subject: Re: [TR] Tough Cutch

From: Benjamin Zwissler <[email-masked]>
Date: Thu, 17 Jul 2014 14:31:17 -0400

Andrew,

In my experience pedal effort is mostly a function of the pressure
plate you use so he's likely stuck with it unless you change the
plate.

 The linkage geometry can affect it, but if you used the same parts
for that then that shouldn't have changed.  Which hole on the lever
you put the slave cylinder rod into will change the throw and effort.
You can go to the whole farthest out from the pivot to get the lowest
effort but you'll have to push the pedal further.  There are three
holes on a TR4A, and I think the TR6 is the same.  The lowest hole
gives the most mechanical advantage but if the travel isn't enough you
may not be able to fully release the clutch.

Ben....

** [email-masked] **

Archive: http://www.team.net/archive